#ifndef _LIB_H_
#define _LIB_H_

#include "gpstdio.h"
#include "gpstdlib.h"
#include <string.h>

#ifndef SEEK_CUR
#define SEEK_CUR    1
#endif

#ifndef SEEK_END
#define SEEK_END    2
#endif

#ifndef SEEK_SET
#define SEEK_SET    0
#endif

#define BUFSIZE  64
#define BUFSIZE2 128

typedef struct _FILE_
{
	F_HANDLE	handle;
	ubyte		data[BUFSIZE2];
	int 		offset;
	int 		end;
} FILE;

ulong	fread	(void*,int,int,FILE*);
int		ferror	();
int		fseek	(FILE*,long,int);
long	ftell	(FILE*);
FILE*	fopen	(const char*,const char*);
int		fclose	(FILE*);
FILE*	fdopen	(int,const char*);

#define rewind(f) fseek((f),0,SEEK_SET)

#define malloc gm_malloc
#define calloc(a,b) gm_malloc((a)*(b))
#define free gm_free
#ifndef memcpy
#define memcpy gm_memcpy
#define memset gm_memset
#endif
#define sprintf gm_sprintf
#define vsprintf(a,b,c) 0
#define fflush(f)
#define fwrite(buf,a,b,f) ((a)*(b))
#define fprintf(ff,a,b,c,d,e,f,g,h,i,j,k)
#define fputc(c,f)

#endif
