/*
 * KOF91 GP32 port
 *
 * CopyLeft 2003-2004 by THOR / Shadow Of Dawn
 *
 * All this code is unprotected: do what you want with it !
 *
 * Becareful : as it is a lazy port, implementations are often limited to the use of the game.
 *
 * This part of code use the MODPLAY library by CHN.
 *
 */

#ifndef _SOUND_H_
#define _SOUND_H_

#include "gpdef.h"

#include "system.h"
#include "gpmodplay.h"

typedef struct
{
	DATAFILE *df;
	MODPlay  *mod;
} MUSIC;

typedef struct
{
	int		len;
	ubyte*	buf;
	ubyte	play;
} SAMPLE;

void	gp32_initSound();
MUSIC*	load_mod(char*);
void	play_mod(MUSIC*);
void	destroy_mod(MUSIC*);
void	play_sample(SAMPLE*);
SAMPLE*	load_sample(const char*);
void	destroy_sample(SAMPLE*);
void	stop_sample(SAMPLE*);
void	setMusicEnabled(char);
void	setSFXEnabled(char);

#endif
